import { Question } from "../models/Question.js";
export declare abstract class CustomScript {
    /**
     * Call this method to ask questions to the user
     * @param questions
     */
    static askQuestions(questions: Question[]): void;
    /**
     * Call this method to prompt GitHub Copilot
     * @param prompt
     */
    static promptCopilot(prompt: string): void;
    /**
     * Opens a file or page once the script has finished.
     * @param fileOrPagePath - The path of the file or page to open.
     */
    static open(fileOrPagePath: string): void;
    /**
     * Call this method to indicate that the script has finished.
     * @param log
     */
    static done(log: string): void;
}
