export class CustomScript {
    /**
     * Call this method to ask questions to the user
     * @param questions
     */
    static askQuestions(questions) {
        console.log(JSON.stringify({
            questions: questions,
        }));
    }
    /**
     * Call this method to prompt GitHub Copilot
     * @param prompt
     */
    static promptCopilot(prompt) {
        console.log(JSON.stringify({
            fmAction: "promptCopilot",
            fmPrompt: prompt,
        }));
    }
    /**
     * Opens a file or page once the script has finished.
     * @param fileOrPagePath - The path of the file or page to open.
     */
    static open(fileOrPagePath) {
        console.log(JSON.stringify({
            fmAction: "open",
            fmPath: fileOrPagePath,
        }));
    }
    /**
     * Call this method to indicate that the script has finished.
     * @param log
     */
    static done(log) {
        console.log(log);
    }
}
//# sourceMappingURL=CustomScript.js.map