import { MediaArguments } from "../models/ScriptArguments.js";
import { CustomScript } from "./CustomScript.js";
export declare class MediaScript extends CustomScript {
    /**
     * Retrieve the arguments passed to the script
     * @returns
     */
    static getArguments(): MediaArguments | undefined;
    /**
     * Copies the metadata from the source file to the destination file.
     * @param sourcePath - The path of the source file.
     * @param destinationPath - The path of the destination file.
     */
    static copyMetadata(sourcePath: string, destinationPath: string): void;
    /**
     * Copies the metadata from the source file to the destination file and deletes the source file.
     * @param sourcePath - The path of the source file.
     * @param destinationPath - The path of the destination file.
     */
    static copyMetadataAndDelete(sourcePath: string, destinationPath: string): void;
    /**
     * Deletes a media file.
     * @param filePath - The path of the file to be deleted.
     */
    static delete(filePath: string): void;
}
