import { PanelViewResult } from "../models/PanelViewResult.js";
export declare const enableDevelopmentMode: () => void;
/**
 * Register a card image renderer
 * @param cb
 */
export declare const registerCardImage: (cb: (filePath: string, metadata: any) => Promise<string>) => void;
/**
 * Register a card footer renderer
 * @param cb
 */
export declare const registerCardFooter: (cb: (filePath: string, metadata: any) => Promise<string>) => void;
/**
 * Register a panel view renderer
 * @param cb
 */
export declare const registerPanelView: (cb: (metadata: any) => Promise<PanelViewResult | undefined>) => void;
/**
 * Register a custom field
 * @param name
 * @param cb
 */
export declare const registerCustomField: (name: string, cb: any) => void;
/**
 * Register a card title renderer
 * @param cb
 * @since 8.5.0
 */
export declare const registerCardTitle: (cb: (filePath: string, metadata: any) => Promise<string>) => void;
/**
 * Register a card description renderer
 * @param cb
 * @since 8.5.0
 */
export declare const registerCardDescription: (cb: (filePath: string, metadata: any) => Promise<string>) => void;
/**
 * Register a card tags renderer
 * @param cb
 * @since 8.5.0
 */
export declare const registerCardTags: (cb: (filePath: string, metadata: any) => Promise<string[]>) => void;
/**
 * Register a card date renderer
 * @param cb
 * @since 8.5.0
 */
export declare const registerCardDate: (cb: (filePath: string, metadata: any) => Promise<string>) => void;
/**
 * Register a card status renderer
 * @param cb
 * @since 8.5.0
 */
export declare const registerCardStatus: (cb: (filePath: string, metadata: any) => Promise<string>) => void;
